Cerrar Ventana

Algunas cookies de este sitio son esenciales, y el sitio no funcionará como se espera sin ellas. Estas cookies se establecen en el momento de enviar un formulario, inicie sesión o interactuar con el sitio realizando una acción que va más allá de hacer clic en un simple enlace.


Leer Más

Descarga MyBB 1.8.13
SoporteMyBB tiene un total de 833 temas de soporte. 9 quedan aún por resolver, 158 han quedado obsoletos y 666 han sido resueltos.

Hola invitado, aún no tienes una cuenta? Regístrate gratis desde aqui !!! Como registrado podrás obtener soporte, descargar temas y plugins del sitio y más.
Calificación:
  • 0 voto(s) - 0 Media
  • 1
  • 2
  • 3
  • 4
  • 5
Creador del tema: WhiteneoMyBB 1.6.14 liberada.
Iniciado por: Whiteneo

 Whiteneo
Beta Tester


Beta Testers


Estado: Desconectado
Mensajes:3,563
Temas:276
Registro:11 Mar 2014
Reputación: 2,037
Gracias dados524Gracias recibidos2,036NacionalidadMexico
30 Junio 2014, 23:42 -
#1
4
Mejor respuesta del mensaje MyBB 1.6.14 liberada.Pues ya había noticias pero ahora es un hecho de que ha sido liberada la nueva actualización de MyBB en su versión 1.6.14 aunque no es la versión final aún, pero la mas estable de las 1.6.x ha dado luz a los siguienets cambios:

Se han corregido 5 vulnerabilidades y 50 fallos reportados que causaban un mal funcinamiento de MyBB. Tomando en cuenta que esta versión no corrige todos los fallos, pero es una versión estable de nuestro sistema.

Vulnerabilidades:
Riesgo Medio: Posible ejecución de código PHP mediante las opciones – Reportado por GiantCrocodile
Bajo Riesgo: Vulerabilidad XSS en las encuestas, archivo polls.php – Reportado por AntiPaste
Bajo Riesgo: Vulnerabilidad XSS en el portal, archivo portal.php – Reportado por AntiPaste
Bajo Riesgo: Foros protegidos con contraseña pueden ser vistos desde el portal – Reportado por Nathan Malcolm
Bajo Riesgo: Super moderadores tienen mas permisos de los que deberían – Reportado por JordanMussi
Bugs corregidos:

Visite la documentación de los cambios en el sitio de documentos de MyBB 1.6.14 para ver toda la información completa de lo que contiene este nuevo paquete.

DOCUMENTACION DE LOS CAMBIOS

NOTA: no se necesita ejecutar la rutina de actualización (el script upgrade.php no es necesario ejecutar en esta versión asi como en las previas 1.6.11 y posteriores).

DESCARGA
 calamar
Moderador


Moderadores


Estado: Desconectado
Mensajes:985
Temas:170
Registro:06 Jun 2013
Reputación: 324
Gracias dados426Gracias recibidos324NacionalidadSpain
1 Julio 2014, 03:04 -
#2
0
Gracias por la información .
Se agradece mucho el trabajo y por supuesto los testeos de vulnerabilidades . Aunque aquí habría mucho que escribir . Supongo que nosotros para ver un bug , lo vemos a nivel de lo que puede hacer un administrador , si ha puesto una cosa mal o bien , pero esto de los bugs en el código del script hummm , es un tema para mucho debatir .

Obviamente no dudo , pero me deja reflexionar

(30 Junio 2014, 23:42 )Dark Neo escribió: Bajo Riesgo: Foros protegidos con contraseña pueden ser vistos desde el portal – Reportado por Nathan Malcolm

Esto me ha llamado la atención ... Yo tengo varios foros protegidos con contraseña y me gustaría saber como poder verlos . :D . Curiosidad . Tendría que localizar a Nathan Malcolm y me dijera como se puede ver . Voy a investigar .

Saludos .
 BitLiberal
Usuario del Foro


Registrados


Estado: Desconectado
Mensajes:442
Temas:51
Registro:17 Mayo 2014
Reputación: 136
Gracias dados93Gracias recibidos135NacionalidadSpain
1 Julio 2014, 12:18 -
#3
0
(30 Junio 2014, 23:42 )Dark Neo escribió: Pues ya había noticias pero ahora es un hecho de que ha sido liberada la nueva actualización de MyBB en su versión 1.6.14 aunque no es la versión final aún, pero la mas estable de las 1.6.x ha dado luz a los siguienets cambios:

Se han corregido 5 vulnerabilidades y 50 fallos reportados que causaban un mal funcinamiento de MyBB. Tomando en cuenta que esta versión no corrige todos los fallos, pero es una versión estable de nuestro sistema.

Vulnerabilidades:
Riesgo Medio: Posible ejecución de código PHP mediante las opciones – Reportado por GiantCrocodile
Bajo Riesgo: Vulerabilidad XSS en las encuestas, archivo polls.php – Reportado por AntiPaste
Bajo Riesgo: Vulnerabilidad XSS en el portal, archivo portal.php – Reportado por AntiPaste
Bajo Riesgo: Foros protegidos con contraseña pueden ser vistos desde el portal – Reportado por Nathan Malcolm
Bajo Riesgo: Super moderadores tienen mas permisos de los que deberían – Reportado por JordanMussi
Bugs corregidos:

Visite la documentación de los cambios en el sitio de documentos de MyBB 1.6.14 para ver toda la información completa de lo que contiene este nuevo paquete.

DOCUMENTACION DE LOS CAMBIOS

NOTA: no se necesita ejecutar la rutina de actualización (el script upgrade.php no es necesario ejecutar en esta versión asi como en las previas 1.6.11 y posteriores).

DESCARGA

Mil gracias por estar atento, traducirlo y publicarlo tan rapido.

¡Saludos!
 Ancoreig
Quam benigna


Registrados


Estado: Desconectado
Mensajes:93
Temas:16
Registro:20 Mayo 2014
Reputación: 6
Gracias dados17Gracias recibidos6NacionalidadSpain
1 Julio 2014, 12:56 -
#4
0
Cita: Bajo Riesgo: Super moderadores tienen mas permisos de los que deberían – Reportado por JordanMussi
No entiendo esto. Permisos que no se ven reflejados en el panel de control del Admin? (la zona esa en la que puedes asignar permisos a los diferentes rangos de usuarios o cargos)

No quiero actualizar a 1.6.14 y que luego no me vayan a funcionar la mitad de los plugins o cambios que he hecho en el theme, foro etc. De hecho aún sigo en 1.6.12
 papi
Usuario del Foro


Registrados


Estado: Desconectado
Mensajes:266
Temas:29
Registro:11 Feb 2012
Reputación: 57
Gracias dados84Gracias recibidos57NacionalidadSpain
1 Julio 2014, 14:43 -
#5
0
(1 Julio 2014, 12:56 )Ancoreig escribió:
Cita: Bajo Riesgo: Super moderadores tienen mas permisos de los que deberían – Reportado por JordanMussi
No entiendo esto. Permisos que no se ven reflejados en el panel de control del Admin? (la zona esa en la que puedes asignar permisos a los diferentes rangos de usuarios o cargos)

No quiero actualizar a 1.6.14 y que luego no me vayan a funcionar la mitad de los plugins o cambios que he hecho en el theme, foro etc. De hecho aún sigo en 1.6.12

No te preocupes. Todos los plugins que esten funcionando en la 1.6.13 deberian funcionar sin problemas en la 1.6.14
 Joseahfer
Usuario del Foro


Registrados


Estado: Desconectado
Mensajes:767
Temas:42
Registro:05 Jun 2013
Reputación: 319
Gracias dados96Gracias recibidos320NacionalidadSpain
1 Julio 2014, 16:02 -
#6
0
Exacto, el mayor problemas que podrías tener al actualizar es perder la actualización que hayas realizado en los archivos del propio MyBB. Una particularidad que a mi me afecta, pero no por ello dejaré de editar los propios archivos.
Los plugins están pensados para funcionar en 1.6.x, incluso los que en su momento se hicieron para 1.4.x pueden funcionar para las nuevas versiones cambiando la compatibilidad del mismo plugin.
 Whiteneo
Beta Tester


Beta Testers


Estado: Desconectado
Mensajes:3,563
Temas:276
Registro:11 Mar 2014
Reputación: 2,037
Gracias dados524Gracias recibidos2,036NacionalidadMexico
1 Julio 2014, 21:51 -
#7
1
@ Ancoreig Si tienes la version 1.6.11 o superior, hasta la 1.6.13 incluida lo recomendable es que sigas el orden de siempre.

1.- Hacer un respaldo de tu base de datos.
2.- Respaldar los archivos cambiados mediante le tarea de admin cp - mantenimiento - verificar archivos. (Si no mal recuerdo es esa Gran sonrisa). Aqui te dice que archivos han sido cambiados de MyBB estos los respaldas únicamente los que te marque ese paso.
3.- Exportar tus temas para que guardes los cambios que has echo desde estilos y plantillas en la parte de el boton opciones de cada tema le das clic y sale exportar el tema y eliges que es lo que quieres guardar si solo el tema o los cambios posibles de el mismo y con ello ya está listo.
4.- Ahora si seguir el proceso de actualización como comunmente ejecutando el actualizador.

En tu caso sólo con el paso 1 y 2 es suficienta ya que como dije esto es para versiones 1.6.10 y menores el de seguir el 3 y 4.

Aqui únicamente vas a bajarte el paquete nuevo, luego si cambiaste archivos revisalos y has de nuevo los cambios manuales que se hicieron si no los haces igual debe funcionar pero no todo, asi que es mejor hacer esto y una ves terminado únicamente subes los nuevos archivos a tu host, eliminas el directorio install o nisiquiera lo subes al FTP y listo tu foro estará actualizado.

Como digo no hay cambios mayores a menos que tengas la version 1.6.10 se ejecuta el actualizador, aunque yo de momento estoy mirando que a mi me dio problemas al actualizar a la version 1.6.13 y 1.6.14 con mi base de datos de la 1.6.10 en los foros con reglas, estoy mirando cual puede ser el problema ya que en tu caso si te funciona bien, subiendo los archivos nuevos debe funcionar perfecto.

NOTA: No ejecutar el actualizador es lo recomendado desde 1.6.11 en adelante ya que no hay cambios y no debiera afectar en nada, sin embargo a veces se restauran plantillas o cosas que cambiaron de la versión 1.6.10 en adelante y por eso es que no se debe ejecutar ya que NO es necesario, con los archivos que son lo único que cambió aumentando seguridad y corrigiendo bugs y errores es que no se necesita nada más Gran sonrisa.

Se me olvidaba decir que TODOS los plugins deben funcionar únicamente cuando tenías versiones 1.6.4 o menores es que cambiaron algunas cosas y no funcionan todos los plugins, la mayoría que funcionan en 1.6.5 funcionan en todas al menos los que nosotros tenemos funcionan en todas las versiones 1.6.x de MyBB sin problemas.

Algunos plugins traen mal el código o tienen algun detalle que causa errores al actualizar el foro, por eso es recomendable no desinstalar ni nada como antes yo descubrí una forma en que funcionan bien Gran sonrisa. (Sólo renombra la carpeta plugins por plugins1 o como quieras), ejecutas el actualizador y cuando termine el proceso vuelves a renombrar tu directorio plugins1 a plugins y no habrá un solo inconveniente de que se ejecute mal el proceso, pero esto sólo con algunos plugins que son viejos o no están actualizados sucede y con esto evitas todos los problemas, he hecho muchisimas pruebas y con esto ahorrarás tiempo y dolores de cabeza en vano.

Si importaste tus temas y cuando actualizas te cambio cosas, con eliminar tu tema e importarlo quedará como estaba y no tendrás que hacer nada mas que unos pasos más, pero te ahorras horas de trabajo y más dolores de cabeza Gran sonrisa.

Saludos...
Última modificación: 1 Julio 2014, 21:56 por Whiteneo.
 Ancoreig
Quam benigna


Registrados


Estado: Desconectado
Mensajes:93
Temas:16
Registro:20 Mayo 2014
Reputación: 6
Gracias dados17Gracias recibidos6NacionalidadSpain
1 Julio 2014, 22:39 -
#8
0
Menudo tocho Gran sonrisa

Osea si por ejemplo sacan mybb 2.0 estable tendría que pasar por todas las versiones de mybb hasta llegar a la 2.0 o podría actualizarlo directamente sin pasar por ellas?. Estoy muy agustito en 1.6.12, me da miedo de cambiar ahora Gran sonrisa
 Whiteneo
Beta Tester


Beta Testers


Estado: Desconectado
Mensajes:3,563
Temas:276
Registro:11 Mar 2014
Reputación: 2,037
Gracias dados524Gracias recibidos2,036NacionalidadMexico
1 Julio 2014, 22:56 -
#9
0
No, de hecho la que sigue es la 1.8 y si necesita cambiar TODO ya que cambia muchisimo y varios plugins dejan de funcionar ya que cambia mucho y la 2.0 ni se diga va a cambiar TODO COMPLETAMENTE Gran sonrisa. remarco eso porque si para 1.8 será un problema actualizar plugins para la 2.0 será mucho mayor el cambio.

Lo único seguro es que en las 1.6.x hasta que terminen si va a funcionar todo sin problemas, pero de ahi a las nuevas no van a funcionar Gran sonrisa.
 calamar
Moderador


Moderadores


Estado: Desconectado
Mensajes:985
Temas:170
Registro:06 Jun 2013
Reputación: 324
Gracias dados426Gracias recibidos324NacionalidadSpain
5 Julio 2014, 11:48 -
#10
0
Y una pregunta 'tonta'
Como se puede modificar en caso que uno no quiera actualizar la v1.6.14 y que no salga este mensajito en ACP?


Archivos adjuntos Miniatura(s)
   


Posibles temas similares...
Tema Autor Respuestas Vistas Último mensaje
  MyBB 1.8.13 nueva versión liberada. Whiteneo 0 33 8 Noviembre 2017, 04:36
Último mensaje: Whiteneo
  MyBB 1.8.3 y MyBB 1.6.16 - Actualizaciones de seguridad Joseahfer 11 2,456 22 Noviembre 2014, 23:16
Último mensaje: Ethan18



Usuarios navegando en este tema: 1 invitado(s)